LINUX.ORG.RU

Re: Java2SE v1.4.0_01

А как коректно установить эту самую java под Linux? Для чего нужен j2re-1_4_0-linux-i386.bin и j2sdk-1_4_0-linux-i386.bin. В чем их отличие?

anonymous ()

Re: Java2SE v1.4.0_01

2anonymous (*) (2002-06-06 10:22:03.563)

j2re-1_4_0-linux-i386.bin - просто Java Машина и Mozilla-плугин.
j2sdk-1_4_0-linux-i386.bin - то же + компилятор, отладчик и др. ср-ва разработки.

Я успешно устанавливал 1.4.0 в rpm. Заработало сразу, только симлинк
/usr/lib/mozilla/plugins/libjavaplugin_oji140.so -> /usr/java/j2sdk1.4.0/jre/plugin/i386/ns610/libjavaplugin_oji140.so сделал (для использования плугина) и /usr/java/j2sdk1.4.0/bin в PATH прописал.

Fice ★★ ()

Re: Java2SE v1.4.0_01

А ошибок в 1.4.0 было немало (кое-что мне пришлось самому править в исходниках классов). Придется обновлять.
Скорее бы появилась нормальная открытая Java...

Fice ★★ ()

Re: Java2SE v1.4.0_01

А как насчет возможности работы на ядре с неисполняемым стеком ?
Именно тот факт, что Java выполняет код в стеке делает ее полностью
непригодной для серверов и защищенных рабочих станций.

anonymous ()
Ответ на: Re: Java2SE v1.4.0_01 от Fice

Re: Re: Java2SE v1.4.0_01

>А ошибок в 1.4.0 было немало (кое-что мне пришлось самому править в >исходниках классов). Придется обновлять. >Скорее бы появилась нормальная открытая Java...

А где взять эти исходники? Я пробовал качать, говорит что Россия не та страна куда их можно экспортировать.

И еще, если можно, вопрос: а в чем разница между gcс Java frontend и тем, что сан дает в СДК?

Спасибо.

anonymous ()

Re: Java2SE v1.4.0_01

Вопрос возможным экспертам читающим этот раздел!

OracleLite почемуто не видит 1.4 поэтому приходится работать с 1.3.1...

Может кто знает в чем тут проблема?

anonymous ()

Re: Java2SE v1.4.0_01

1.4 - shit. Под виндой ее тоже плющит...

anonymous ()

Re: Java2SE v1.4.0_01

А смогу ли я теперь скомпилять свою прогу под любимый свой Линукс и запускать ее без всяких виртуальных машин - то бишь сделать нативный компайл! (Ох, как сказал :-))

anonymous ()

Re: Java2SE v1.4.0_01

А знает ли кто нибудь, поправили ли они багу с падением java при использовании локали ru_UA или uk_UA?

anonymous ()

Re: Java2SE v1.4.0_01

2anonymous (*) (2002-06-06 12:50:00.793)
> А где взять эти исходники? Я пробовал качать, говорит что Россия не та страна куда их можно экспортировать.

Исходники (только та чать, которая написана на Java - реализация классов java.lang.*, java.awt.*, java.io.* и т.д.) распространяется в составе j2sdk (см. файл <путь_к_java>/src.zip). Там очень подробные комментарии - полезней любого учебника.

2anonymous (*) (2002-06-06 13:28:08.203)
А смогу ли я теперь скомпилять свою прогу под любимый свой Линукс и запускать ее без всяких виртуальных машин - то бишь сделать нативный компайл! (Ох, как сказал :-))

Да, и для этого не нужна sun'овская Java. Можно с помошью gcc-java (gcj), но многие новые API не поддерживаются.

Fice ★★ ()

Re: Java2SE v1.4.0_01

Вот задрала проблема: то,что JAVA clipboad не дружит с KDE clipboad с этим можно и смириться, но когда Togethe глухо зависает в 50% попыток забрать что-либо в clipboad, вот это достало конкретно. Такая же задница и с jEdit-ом. Пиплы! Может кто знает где чего ковырнуть надо. Виртуальные машины менял как перчатки; и сановские, и блакдоун, и ибм... монописуально. У каждой свои глюки. Под некоторыми работать просто не возможно, а проблема с clipboad везде остается. Может это проблема КДЕ? Может на трешку перейти? Памажите, люди добрые! Достало!

vada ★★★★★ ()

Re: Java2SE v1.4.0_01

ASPLinux 7.2 + jsdk 1.4.0 - все пашет, ничего не падает, в GNOME клипбоард работает безпровлем и в NetBeans и в Jedit.

anonymous ()

Re: Java2SE v1.4.0_01

У меня после того как перешел на KDe 3.0 с буфером обмена все ОК.

ROMUL ()

Re: Java2SE v1.4.0_01

По прежнему не работает с uk_UA под Линукс :-\\\ Интересно, как с ru_RU ?

anonymous ()

Re: Java2SE v1.4.0_01

С ru_RU было все в порядке и до выпуска этой версии. Падала на UA почему-то. И, насколько я помню, довольно таки давно падала.

anonymous ()

Re: Java2SE v1.4.0_01

Странно, у меня почему-то 1.4.0 плагин к Мозилле
работает сильно медленнее чем 1.3.1
Оно так и задумано?

1.4.0_01 не пробовал пока.

timon ()

Re: Java2SE v1.4.0_01

>Странно, у меня почему-то 1.4.0 плагин к Мозилле работает сильно медленнее чем 1.3.1

У меня _абсолютно_ обратный эффект :))), в некоторых местах быстрее в разы!

anonymous ()

Re: Java2SE v1.4.0_01

Жаба сосет. Не юзайте люди дерьмо, даже если вам говорят, что это корпоративный стандарт...
Те, кто это говорит - моральные уроды. И не важно насколько они высокопоставлены -
будь то Оракл, Сан или прочая коммерческая тусовка.
Жаба сосет.

anonymous ()

Re: Java2SE v1.4.0_01

А это политика САН - пока надо держать всех вот так, а когда люди будут уходить от Явы - они раз и выпустят нативный компилятор под основные ОС и все пойдет как по маслу - по-моему, всем нравится такой классный и элегантный синтаксис кода! А пока приходится мечтать - прикиньте было бы классно - скомпилил байт-код под любой ОС, а потом захотел и сделал из нее нативный код, скажем, под Линукс, захотел сделал из того же байт-кода нативку под Винды или Солярку! Вот это было бы классно...

anonymous ()
Ответ на: Re: Java2SE v1.4.0_01 от Fice

Re: Re: Java2SE v1.4.0_01

Вторую часть исходников (com.sun.*, native библиотеки и приложения на C и т.п.) раздают тут: http://wwws.sun.com/software/java2/download.html
Но!
1). необходимо зарегистрироваться;
2). для России их не отдают; придётся написать какую-нить другую страну.

anonymous ()
Ответ на: Re: Java2SE v1.4.0_01 от anonymous

Re: Re: Java2SE v1.4.0_01

Не выпустят они нативный компилятор, ибо на#@$ никому это не нужно. Переносимость кода потеряется, куча вещей типа Reflection или ClassLoader'ов будут работать непонятно как, или вообще никак.
Тем более, что уже сейчас Hotspot делает ту же самую компиляцию, но на лету и более эффективно (теоретически ;) ).

anonymous ()

Re: Java2SE v1.4.0_01

Зачем нужна жаба, если есть переносимые perl, pyton, tcl, php?

anonymous ()

Re: Java2SE v1.4.0_01

затем что это языки с pizza кодом и нормально на них писать не получится. т.е. можно, но нужно быть мастером для этого.

anonymous ()

Re: Java2SE v1.4.0_01

А чем им стоит написать нативный компайлер? Написали бы и сразу же всем стало бы хорошо!

anonymous ()
Ответ на: Re: Java2SE v1.4.0_01 от anonymous

Re: Re: Java2SE v1.4.0_01

>затем что это языки с pizza кодом

А что это такое? Это "spagetti style programming"?
Или что-нибудь другое итальянское? :)

>и нормально на них писать не получится

Не надо пиздеть про то, что эти языки плохие, яйца мешают и т.д.
Полно людей, которые пишут на них хорошо и с удовольствием, и тебе
тоже никто не мешает.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.